## tlsh 0.1.0

=== DESCRIPTION ===
Package: tlsh
Type: Package
Title: Transitive Locality-Sensitive Hashing (LSH) for Record Linkage
Version: 0.1.0
Authors@R: person("Rebecca", "Steorts", email = "beka@stat.duke.edu",
  role = c("aut", "cre"))
Depends: R (>= 3.5.0), blink, stats, utils, plyr, igraph, bit64
Imports:
Suggests: knitr, ggplot2, rmarkdown
VignetteBuilder: knitr
Description: An implementation of the blocking algorithm transitive locality-sensitive hashing (TLSH) in Steorts, Ventura, Sadinle, Fienberg (2014) <DOI:10.1007/978-3-319-11257-2_20>, which is a k-means variant of locality sensitive hashing. The method is illustrated with examples and a vignette. 
Encoding: UTF-8
LazyData: true
License: GPL-3
RoxygenNote: 7.1.1.9000
NeedsCompilation: no
Packaged: 2020-11-02 16:22:06 UTC; rebeccasteorts
Author: Rebecca Steorts [aut, cre]
Maintainer: Rebecca Steorts <beka@stat.duke.edu>
Repository: CRAN
Date/Publication: 2020-11-06 17:00:02 UTC
