=== debian/changelog ===
tlsh (3.2.1+20150727-1) unstable; urgency=low

  * Initial release. (Closes: #794219)

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 31 Jul 2015 16:37:27 +0200
