=== debian/control ===
Source: tlsh
Maintainer: Jérémy Bobbio <lunar@debian.org>
Section: admin
Priority: extra
Build-Depends: cmake,
               debhelper (>= 9),
               dh-python,
               python-all-dev,
               python-docutils,
               python-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/trendmicro/tlsh
Vcs-Git: git://anonscm.debian.org/collab-maint/tlsh.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlsh.git
X-Python-Version: >= 2.7

Package: tlsh-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: compare similar files using fuzzy hashing
 The Trend Micro Locality Sensitive Hash is a fuzzy hash algorithm that can be
 used to compare similar but not identical files.
 .
 Identifying near duplicates and similar files is known to be useful to
 identify malware samples with similar binary file structure, variants of spam
 email, or backups with corrupted files.
 .
 This package contains the tlsh_unittest utility, a command-line tool to
 generate TLSH hash values and compare TLSH hash values to determine
 similar files.

# The following package is on hold until time is spent fixing the
# code to hide the implementation again from library users.
# See upstream commit 1a8f1c581 which feels confused.
#
#Package: libtlsh-dev
#Section: libdevel
#Architecture: any
#Depends: ${misc:Depends}
#Description: fuzzy hashing library - development files
# The Trend Micro Locality Sensitive Hash is a fuzzy hash algorithm that can be
# used to compare similar but not identical files.
# .
# Identifying near duplicates and similar files is known to be useful to
# identify malware samples with similar binary file structure, variants of spam
# email, or backups with corrupted files.
# .
# This package contains the static library.

Package: python-tlsh
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: fuzzy hashing library - Python module
 The Trend Micro Locality Sensitive Hash is a fuzzy hash algorithm that can be
 used to compare similar but not identical files.
 .
 Identifying near duplicates and similar files is known to be useful to
 identify malware samples with similar binary file structure, variants of spam
 email, or backups with corrupted files.
 .
 This package contains the Python module.
