=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = tlsh

%:
	dh $@ --with=python2 --buildsystem=cmake

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=py_ext --buildsystem=pybuild

override_dh_auto_install: debian/tlsh_unittest.1
	dh_auto_install
	dh_auto_install --sourcedirectory=py_ext --buildsystem=pybuild

override_dh_python2:
	dh_python2 -O--sourcedirectory=py_ext -O--buildsystem=pybuild

debian/tlsh_unittest.1: debian/tlsh_unittest.1.rst
	rst2man $< $@

override_dh_clean:
	rm -f debian/tlsh_unittest.1
	dh_clean
