## tlsh 3.4.1+20151014

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 project(TLSH)
 
 set(VERSION_MAJOR 3)
-set(VERSION_MINOR 2)
+set(VERSION_MINOR 4)
 set(VERSION_PATCH 1)
 
 # TLSH uses only half the counting buckets.
@@ -43,6 +43,8 @@
 # write a file with the VERSION information
 file(REMOVE VERSION)
 file(WRITE VERSION 
+  "// This file is generated by cmake.  Modify\n"
+  "// CMakeLists.txt to change the VERSION numbers\n"
   "TLSH version: ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH} ${TLSH_HASH}, ${TLSH_CHECKSUM}\n")
   
 file(REMOVE include/version.h)
