=== debian/changelog ===
tlsh (3.4.1+20151014-1) unstable; urgency=medium

  * New upstream release.
  * Use new incremental interface in Python autopkgtest.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 15 Oct 2015 16:27:11 +0200

tlsh (3.2.1+20150727-2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Remove artifacts from the previous build in the clean rule.
  * Build a python3 package.

  [ Jérémy Bobbio ]
  * Add autopkgtests.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 16 Sep 2015 17:44:06 +0200
