=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                debhelper (>= 9),
                dh-python,
                python-all-dev,
+               python3-all-dev,
                python-docutils,
                python-setuptools
 Standards-Version: 3.9.6
@@ -60,3 +61,17 @@
  email, or backups with corrupted files.
  .
  This package contains the Python module.
+
+Package: python3-tlsh
+Section: python
+Architecture: any
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Description: fuzzy hashing library - Python3 module
+ The Trend Micro Locality Sensitive Hash is a fuzzy hash algorithm that can be
+ used to compare similar but not identical files.
+ .
+ Identifying near duplicates and similar files is known to be useful to
+ identify malware samples with similar binary file structure, variants of spam
+ email, or backups with corrupted files.
+ .
+ This package contains the Python3 module.
