=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME = tlsh
 
 %:
-	dh $@ --with=python2 --buildsystem=cmake
+	dh $@ --with=python2,python3 --buildsystem=cmake
 
 override_dh_auto_build:
 	dh_auto_build
@@ -16,9 +16,18 @@
 override_dh_python2:
 	dh_python2 -O--sourcedirectory=py_ext -O--buildsystem=pybuild
 
+override_dh_python3:
+	dh_python3 -O--sourcedirectory=py_ext -O--buildsystem=pybuild
+
 debian/tlsh_unittest.1: debian/tlsh_unittest.1.rst
 	rst2man $< $@
 
 override_dh_clean:
 	rm -f debian/tlsh_unittest.1
+	rm -rf .pybuild
+	rm -rf py_ext/build
+	rm -rf bin
+	rm -rf lib
+	rm -f test/simple_unittest
+	rm -f test/tlsh_version
 	dh_clean
