=== debian/changelog ===
tlsh (3.4.4+20151206-1.4build8) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:24:34 +0000

tlsh (3.4.4+20151206-1.4build7) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:15:40 +0000

tlsh (3.4.4+20151206-1.4build6) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:57:49 +0100

tlsh (3.4.4+20151206-1.4build5) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:55:29 +0000

tlsh (3.4.4+20151206-1.4build4) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 18:02:19 +0000

tlsh (3.4.4+20151206-1.4build3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:45:32 -0500

tlsh (3.4.4+20151206-1.4build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 11:22:20 +0000

tlsh (3.4.4+20151206-1.4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:15:19 +0000

tlsh (3.4.4+20151206-1.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Apply hints from the Multi-Arch hinter: set Multi-Arch:same to libtlsh0,
    libtlsh-dev, python3-tlsh.
  * Add patch from upstream to avoid a comparison between a pointer value and
    an integer.  Fixes build with GCC 11.  Closes: #984365
  * Add /usr/bin/tlsh as a link to tlsh_unittest.  Closes: #952449
    Thanks to Stefano Zacchiroli <zack@debian.org> for the patch.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Oct 2021 11:29:09 +0200

tlsh (3.4.4+20151206-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control:
    + Move the git repository to salsa.debian.org.
    + Drop now unused X-Python-Version field.
  * Run wrap-and-sort.
  * Reinstate the actual python autopkgtests, accidentally removed in
    the previous upload.  Closes: #944072

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 13 Nov 2019 16:07:32 +0100

tlsh (3.4.4+20151206-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938671

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2019 17:41:52 -0400

tlsh (3.4.4+20151206-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Set Rules-Requires-Root to "no" as tlsh does not need (fake)root.
  * Bump priority to optional as extra has been deprecated.

  [ Helmut Grohne ]
  * Multiarchify python Build-Depends. (Closes: #892930)

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Jan 2019 14:56:51 +0000

tlsh (3.4.4+20151206-1) unstable; urgency=low

  * New upstream release.
  * Be explicit in which buildsystem we want to use in debian/rules.
  * Remove generated version files in clean rules.
  * Put misc:Depends after shlibs:Depends in debian/control.
  * Ship tlsh shared library now that upstream has made the required
    changes. This adds three new patches and one autopkgtest which tries
    to build and run a test program.
  * Add a patch to call Tlsh constructor when creating Tlsh objects in
    Python.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 16 Jan 2016 16:19:58 +0100
