=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = tlsh

%:
	dh $@ --with=python3 --buildsystem=cmake

override_dh_auto_build:
	dh_auto_build --buildsystem=cmake
	dh_auto_build --sourcedirectory=py_ext --buildsystem=pybuild

override_dh_auto_install: debian/tlsh_unittest.1
	dh_auto_install --buildsystem=cmake
	dh_auto_install --sourcedirectory=py_ext --buildsystem=pybuild

override_dh_python3:
	dh_python3 -O--sourcedirectory=py_ext -O--buildsystem=pybuild

debian/tlsh_unittest.1: debian/tlsh_unittest.1.rst
	rst2man $< $@

override_dh_clean:
	rm -f debian/tlsh_unittest.1
	rm -rf .pybuild
	rm -rf py_ext/build
	rm -rf bin
	rm -rf lib
	rm -rf VERSION include/version.h
	rm -f test/simple_unittest
	rm -f test/tlsh_version
	dh_clean
