=== debian/tests/control ===
Tests: use-tlsh-unittest
Depends:
 tlsh-tools,

Tests: use-python3-tlsh
Depends:
 python3-tlsh,

Tests: build-test-program
Depends:
 build-essential,
 libtlsh-dev,
