=== tlsh_bh_tool/setup/Debian/requirements.txt ===
simplejson
pefile
m2crypto
pyOpenSSL
requests
