=== tlsh_bh_tool/setup/MacOSX/requirements.txt ===
simplejson
requests
pefile
m2crypto
pyOpenSSL
