=== debian/changelog ===
tlsh (4.8.2+ds-0.1) experimental; urgency=medium

  * Non-maintainer upload.

  * New upstream version 4.8.2+ds.
    + Fixes the python3 testing files location.  Closes: #939729
  * d/gbp.conf: drop the import-orig settigns: those directories are
    already removed by mk-origtargz
  * Add d/watch.
  * d/patches:
    + Refresh patches.
    + Delete patches applied upstream.
    + Add patch to make tlsh_unittest successfully link dynamically
    + Add patch to link libstdc++ dynamically.
    + Forward the patch to install the libraries in a multiarch location.
  * Update copyright.
    + From this release, the code is double-licensed Apache-2.0 OR BSD-3-clause.
  * d/rules: Use execute_after_* to simplify the commands.
  * Declaratively specify the python3 sequence by Build-Depending on it.
  * Ship the NOTICE.txt file, required by the Apache-2.0 license.
  * Rename library package for the new SONAME.
  * Update symbols file.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Oct 2021 13:41:31 +0200
