=== debian/watch ===
version=4

opts=dversionmangle=auto,repacksuffix=+ds \
https://github.com/trendmicro/tlsh/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
