## tlsh 4.11.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,7 @@
 project(TLSH)
 
 set(VERSION_MAJOR 4)
-set(VERSION_MINOR 8)
+set(VERSION_MINOR 11)
 set(VERSION_PATCH 2)
 
 # TLSH uses only half the counting buckets.
@@ -125,11 +125,10 @@
         set(CMAKE_CXX_FLAGS "-g")
     endif()
 else(CMAKE_BUILD_TYPE STREQUAL Debug)
-    if(CMAKE_COMPILER_IS_GNUCXX)
-        set(CMAKE_CXX_FLAGS "-O2 -fvisibility=internal")  ## Remove TlshImpl symbols
-    endif()
     if(MSVC)
         set(CMAKE_CXX_FLAGS "/O2")        ## Optimize
+    else(MSVS)
+        set(CMAKE_CXX_FLAGS "-O3")
     endif()
 endif(CMAKE_BUILD_TYPE STREQUAL Debug)
 
@@ -140,9 +139,16 @@
 
 # user can override CXX; make sure tests link and load properly regardless of LD_LIBRARY_PATH
 if(CMAKE_COMPILER_IS_GNUCXX)
+    # issue #116 Library will not compile on CENTOS 7
+    # set(CMAKE_EXE_LINKER_FLAGS "-static-libstdc++")
     set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc")
-    set(CMAKE_EXE_LINKER_FLAGS "-static-libstdc++")
 endif()
+
+# from https://stackoverflow.com/questions/5395309/how-do-i-force-cmake-to-include-pthread-option-during-compilation
+set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
+# This flag seems to only be for older versions of CMake, such as https://cmake.org/cmake/help/v3.2/module/FindThreads.html
+set(THREADS_PREFER_PTHREAD_FLAG TRUE)
+find_package(Threads REQUIRED)
 
 enable_testing()
