=== debian/changelog ===
tlsh (4.11.2+ds-2) unstable; urgency=low

  * d/gbp.conf: Update gbp configuration.
  * d/salsa-ci.yml: Add Salsa Ci configuration.
  * d/libtlsh4.symbols: Honor symbols varying regarding architecture bit count.

 -- Sven Geuer <sge@debian.org>  Fri, 28 Nov 2025 16:19:09 +0100

tlsh (4.11.2+ds-1) unstable; urgency=low

  * Upload to unstable.
  * Adopt package setting Maintainer to myself (Closes: #1087262).
  * d/libtlsh4.symbols: Update symbols file.
  * d/p/*:
    - Add distutils-to-setuptools.patch to fix lintian's
      uses-deprecated-python-stdlib.
    - Add honor-CPP+CXXFLAGS.patch making sure Debian's presets get applied.
  * d/watch: Convert watch file to version 5 format.
  * d/rules:
    - Activate hardenings.
    - Drop override_dh_clean, move removals to d/clean.
  * d/u/metadata: Add Repository, Repository-Browse and Changelog fields.
  * d/control:
    - Remove redundant 'Rules-Requires-Root: no'.
    - Bump Standards-Version to 4.7.2.
  * d/copyright:
    - Bump upstream's copyright years.
    - Update the list of packaging copyright holders.

 -- Sven Geuer <sge@debian.org>  Thu, 27 Nov 2025 17:37:47 +0100

tlsh (4.11.2+ds-0.1) experimental; urgency=medium

  * Non-maintainer upload.

  [ Mattia Rizzolo ]
  * New upstream version 4.11.2+ds.
  * Refresh patches link-to-stdcpp.patch and install-libraries.diff.

  [ Sven Geuer ]
  * Merge cmake4.patch from branch master into experimental.
  * d/p/*: Update patches cmake4.patch and create-shared-library.diff.
  * d/t/build-test-program: Adapt test to new upstream version.
  * d/rules: Remove py_ext/tlsh.egg-info when cleaning (Closes: #1045507).

 -- Sven Geuer <sge@debian.org>  Mon, 24 Nov 2025 17:43:22 +0100

tlsh (3.4.4+20151206-2) unstable; urgency=medium

  * QA upload.
  * d/p/*: Add cmake4.patch fixing FTBFS with CMake 4 (Closes: #1113579).

 -- Sven Geuer <sge@debian.org>  Sun, 23 Nov 2025 23:08:30 +0100
