=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: tlsh
-Maintainer: Jérémy Bobbio <lunar@debian.org>
+Maintainer: Sven Geuer <sge@debian.org>
 Section: admin
 Priority: optional
 Build-Depends:
@@ -10,8 +10,7 @@
  python3-all-dev:any,
  python3-docutils,
  python3-setuptools,
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/trendmicro/tlsh
 Vcs-Git: https://salsa.debian.org/debian/tlsh.git
 Vcs-Browser: https://salsa.debian.org/debian/tlsh
