## tlsh 4.12.0%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,8 +56,8 @@
 project(TLSH)
 
 set(VERSION_MAJOR 4)
-set(VERSION_MINOR 11)
-set(VERSION_PATCH 2)
+set(VERSION_MINOR 12)
+set(VERSION_PATCH 0)
 
 # TLSH uses only half the counting buckets.
 # It can use all the buckets now.
