=== debian/changelog ===
tlsh (4.12.0+ds-2) unstable; urgency=medium

  * d/control: Update the Vcs-* fields to the team namespace.

 -- Sven Geuer <sge@debian.org>  Sun, 21 Dec 2025 15:21:56 +0100

tlsh (4.12.0+ds-1) unstable; urgency=medium

  * d/copyright: Exclude from source pre-built java and python objects.
  * New upstream version 4.12.0+ds
  * d/p/*:
    - Adapt patches to new upstream version.
    - Add cpu-agnostic-endianness.patch.
    - Add ensure-BUCKETS+CHECKSUM-config.patch.
  * d/t/build-test-program: Compare output against pre-known results.
  * d/control: Switch Maintainer to the Debian Security Tools Team and set
    Uploaders to myself.

 -- Sven Geuer <sge@debian.org>  Sat, 06 Dec 2025 21:19:33 +0100
