=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tlsh
-Maintainer: Sven Geuer <sge@debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Sven Geuer <sge@debian.org>
 Section: admin
 Priority: optional
 Build-Depends:
@@ -12,8 +13,8 @@
  python3-setuptools,
 Standards-Version: 4.7.2
 Homepage: https://github.com/trendmicro/tlsh
-Vcs-Git: https://salsa.debian.org/debian/tlsh.git
-Vcs-Browser: https://salsa.debian.org/debian/tlsh
+Vcs-Git: https://salsa.debian.org/pkg-security-team/tlsh.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/tlsh
 
 Package: tlsh-tools
 Architecture: any
